%global branch 0.5

Name:       kbibtex
Version:    0.5.1
Release:    5%{?dist}
Summary:    A BibTeX editor for KDE

Group:      Applications/Editors
License:    GPLv2+
URL:        http://home.gna.org/kbibtex/index.html
Source0:    http://download.gna.org/%{name}/%{branch}/%{name}-%{version}.tar.xz

BuildRequires:  cmake kdelibs4-devel libxslt-devel desktop-file-utils gettext
BuildRequires:  pkgconfig(QtWebKit)
BuildRequires:  poppler-qt4-devel
Requires:       okular-part
%{?_kde4_macros_api:Requires: kde4-macros(api) = %{_kde4_macros_api} }

%description
The program KBibTeX is a bibliography editor for KDE. Its main purpose is to
provide a user-friendly interface to BibTeX files.

%package  devel
Summary:  Development files for KBibTeX
Group:    Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel libxslt-devel poppler-qt4-devel

%description devel
The %{name}-devel package contains libraries and header files necessary for
developing programs using KBibTeX libraries.

%prep
%setup -q


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} -DPLUGIN_INSTALL_DIR:PATH=%{_kde4_libdir}/kde4/ \
              -DLIB_INSTALL_DIR:PATH=%{_libdir}/%{name}/ ..
popd
make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=$RPM_BUILD_ROOT -C %{_target_platform}


%check
desktop-file-validate  $RPM_BUILD_ROOT%{_kde4_datadir}/applications/kde4/%{name}.desktop


%post
/sbin/ldconfig
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
touch --no-create %{_datadir}/mime/packages &> /dev/null || :

%posttrans
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
touch --no-create %{_kde4_iconsdir}/hicolor &> /dev/null || :
gtk-update-icon-cache %{_kde4_iconsdir}/hicolor &> /dev/null || :
update-desktop-database -q &> /dev/null ||:
touch --no-create %{_datadir}/mime/packages &> /dev/null || :
update-mime-database %{?fedora:-n} %{_datadir}/mime &> /dev/null || :
fi

%files
%doc LICENSE README
%{_kde4_bindir}/%{name}
%{_libdir}/%{name}/lib%{name}*.so.*
%{_kde4_libdir}/kde4/%{name}part.so
%{_kde4_datadir}/applications/kde4/%{name}.desktop
%{_kde4_appsdir}/%{name}/
%{_kde4_appsdir}/%{name}part/
%{_kde4_datadir}/kde4/services/%{name}part.desktop
%{_kde4_configdir}/%{name}rc
%{_datadir}/mime/packages/bibliography.xml
%{_kde4_iconsdir}/hicolor/*/apps/%{name}.*
%{_mandir}/man1/%{name}.1.*

%files devel
%{_libdir}/%{name}/lib%{name}*.so
%{_kde4_includedir}/%{name}/


%changelog
* Sun Aug 17 2014 Rex Dieter <rdieter@fedoraproject.org> 0.5.1-5
- BR: pkgconfig(QtWebKit), it's no longer pulled in implicitly by kdelibs-devel

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Aug 16 2014 Rex Dieter <rdieter@fedoraproject.org> 0.5.1-3
- update scriptlets, BR: kdelibs4-devel, tighten subpkg dep

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed May 28 2014 Robin Lee <cheeselee@fedoraproject.org> - 0.5.1-1
- Update to 0.5.1

* Mon Dec 30 2013 Robin Lee <cheeselee@fedoraproject.org> - 0.5-1
- Update to 0.5
- Split out a devel subpackage

* Wed Nov 20 2013 Robin Lee <cheeselee@fedoraproject.org> - 0.4.1-5
- Fix URL

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Sun Jul 14 2013 Robin Lee <cheeselee@fedoraproject.org> - 0.4.1-3
- Requires okular-part (BZ#984142)

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Fri Dec 14 2012 Robin Lee <cheeselee@fedoraproject.org> - 0.4.1-1
- Update to 0.4.1

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed May 16 2012 Marek Kasik <mkasik@redhat.com> - 0.4-3
- Rebuild (poppler-0.20.0)

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Nov 29 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.4-1
- Update to 0.4
- Move the unversioned shared object files to a program-private directory

* Mon Sep 19 2011 Marek Kasik <mkasik@redhat.com> - 0.3-4
- Rebuild (poppler-0.17.3)

* Fri Jul 15 2011 Marek Kasik <mkasik@redhat.com> - 0.3-3
- Rebuild (poppler-0.17.0)

* Sat Jun 25 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.3-2
- Scriptlets revised
- Use description from upstream REAMDE

* Sat Jun 25 2011 Robin Lee <cheeselee@fedoraproject.org> - 0.3-1
- Update to 0.3
- BR: cmake kdelibs-devel poppler-qt4-devel added, kdelibs3-devel removed
- Cmake-based build
- Scriptlets revised
- Specfile Untabified
- URL and Source0 updated
- kbibtex-0.2-desktop-file-type.patch removed
- Other cleanup

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.2-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Nov 23 2009 Christian Nolte <ch.nolte at noltec.org> - 0.2.2-19
- Updated to latest upstream version 0.2.2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Mar 31 2008 Kevin Kofler <Kevin@tigcc.ticalc.org> - 0.2-14
- BR kdelibs3-devel instead of kdebase-devel (should not need kdebase) (#434344)

* Tue Jan 01 2008 Christian Nolte <ch.nolte at noltec.org> - 0.2-13
- Updated to latest upstream version 0.2
- Desktop-File kbibtex_part.desktop patched: Type is Application now

* Mon Jul 09 2007 Christian Nolte <ch.nolte at noltec.org> - 0.1.5.52-11
- Updated to latest upstream version

* Wed Mar 21 2007 Christian Nolte <ch.nolte at noltec.org> - 0.1.5-8
- latest patches (storesearchurls, webquerypubmedmultiplequeries,
  xslhtmlexport)

* Tue Dec 05 2006 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.5-4
- Bumped release ver. to solve the violated upgrade path (BUG #216007)

* Sun Oct 29 2006 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.5-2
- latest released patches (filteredselection,gcc4.2,viewdocument)

* Wed Oct 18 2006 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.5-1
- Update to 0.1.5

* Fri Sep 15 2006 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.4-2
- Rebuild for FC6

* Thu Apr 27 2006 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.4-1
- Update to the version 0.1.4

* Fri Dec 23 2005 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.3-3
- Patch to resolve an error when this package is compiled with gcc 4.1.0

* Tue Dec 13 2005 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.3-2
- BUG 17556 - package review: fixed all problems

* Mon Dec 12 2005 Christian Nolte <ch.nolte at fh-wolfenbuettel.de> - 0.1.3-1
- Version 0.1.3
